{% extends "main_template.html" %}
{% load static %}

        {% block title %} Introduccion al proyecto Ruh70{% endblock %}


    
    
    {%block content %}
    <h1 style="color:orange; text-align:center"> Pagina de resumen Ruh 70 </h1>
    
    <p class="site-heading-lower-lg px-4" style="color:white"> Desarrollo de la apliación web Ruh 70 </p>
    
    <ul class="site-heading-upper" style="color:white">
    
        <li> Generacion del proyecto, generación de la primera aplicación (video 27)</li>
        <li> Aprender a organizar las urls de diferentes aplicaciones de un proyecto,
        creando archivos urls.py por aplicacion y enlazandolas con el archivo general urls.py
        (video 28) </li>
        <li> Formato a sition web con <strong>Bootstrap</strong>, descargando
        la carpeta que contiene las plantillas de bootstrap (video 29) </li> 
        <li> Ejecutando bootstrap, Creacion de plantillas(video 30) </li>
        <li> Herencia de plantillas y estructura del sitio (video 31) </li>
        <li> configuracion de App para ofrecer servicios del negocio (video 32) </li>
        <li> Registro de App en el panel de administración (video 33) </li>
        <li> Como visualizar imágenes y archivos dentro del panel de administración (video 34) </li>
        <li> Mostrar los servicios generados en la aplicación web (video 35) </li>
        <li> Cambiando la visualización de la aplicación inversiones usando CSS (video 37) </li>
        <li> Desarrollando la aplicación noticias (aplicación {blog} en el video)(video 38) </li>
        <li> Desarrollando del view y creacion de los caminos url de la aplicacion {noticia}(video 39) </li>
        <li> Corregir olvidos, agregar  autores de cada post y agregar categorias de post publicados de la aplicacion,
            creacion del modelo e installacion de la libreria pillow (para adjuntar las imagenes al modelo) {noticia}(video 39) </li>
        <li> Filtrar los post de la aplicacion {noticia} por su categoria (video 41) </li>
        <li> Agregar funcionalidad a categorias generando los links a los post clasificados,
            Agregando funcionalidad css the link {noticias} agregando el comando |slice: en barrnav.html (video 42) </li>
        <li> Crear la aplicación contacto. y el formulario de contacto(video 43) </li>
        <li> Darle forma al formulario de contacto, explicación del csrf_token (video 44) </li>
        <li> Generacion de views.contactanos, como generar un mensaje en la página luego del envio del formulario (video 45) </li>
        <li> Configuración del correo electrónico, configuración de correo electrónico en django (video 46) </li>
        <li> Creación inicial App Tienda: aplicacion, views, urls(video 47) </li>
        <li> Aplicación tienda: Creando modelos, Categoria y productos 
            (recordar installación libreria pillow, para imágenes)(video 48) </li>
        <li> registrar los modelos en el panel de administracion para aplicacion tienda (video 49) </li> 
        <li> Generando el template tienda (video 50) </li> 
        <li> Generando un grid de productos con bootstrap (video 51) </li> 
        <li> Generando el carro de la tienda, construyenco la clase carro {metodo agregar} (video 52) </li>
        <li> Generando el carro de la tienda, continuando construccion clase carro 
            {reducir productos y vaciar un producto del carro} (video 52) </li>  
        <li> Generando el carro de la tienda, continuando construccion clase carro 
            {restar producto y limpiar el carrito} (video 52) </li> 
        <li> Creando el carro de compras en el template tienda.html (video 53) </li>
        <li> context_processor, programa para crear la variable global que guardará lo comprado, agregando
            el context_processor a settings.template (video 55) </li> 
        <li> Creación del widget para el carro de la compra, 
            creacion de urls.py en la aplicacion carro (video 56) </li> 
        <li> Creación del widget para el carro de la compra, 
            creacion de urls.py en la aplicacion carro (video 57) </li> 
    </ul>
   
    {% endblock %}